### Method

# Phosh DBusMountOperationHandler complete_ask_question

#### Declaration [src]

    void
    phosh_dbus_mount_operation_handler_complete_ask_question (
      PhoshDBusMountOperationHandler* object,
      GDBusMethodInvocation* invocation,
      guint response,
      GVariant* response_details
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the AskQuestion() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`response`

  Type: `guint`

  Parameter to return.

`response_details`

  Type: `GVariant`

  Parameter to return.

  The data is owned by the caller of the method.